Third-Party Software Requirements - Integration for Medical Imaging Viewer (Agfa) - English - Foundation 22.1 - OnBase - external

Integration for Medical Imaging Viewer (Agfa)

Platform
OnBase
Product
Integration for Medical Imaging Viewer (Agfa)
Release
Foundation 22.1
License

The Integration for Medical Imaging Viewer (Agfa) requires ICIS™ View (version 3 or later) by Agfa HealthCare. For information about ICIS View requirements and installation, refer to the ICIS View documentation.